﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using GridsCell;
using Infragistics;
using Infragistics.Controls.Grids;

namespace WpfApplication7
{
    /// <summary>
    /// Interaction logic for TabItem3.xaml
    /// </summary>
    public partial class TabItem3 : UserControl
    {
        private ObservableCollection<Data> source;

        public TabItem3()
        {
            InitializeComponent();
            
        }
        
        public ObservableCollection<Data> Source
        {
            get
            {
                return source;
            }
            set
            {
                Grid.ItemsSource = value;
                Grid.FilteringSettings.AllowFiltering = FilterUIType.FilterMenu;
                
                source = value;
            }
        }

        private void FrameworkElement_OnSizeChanged(object sender, SizeChangedEventArgs e)
        {
        //    Grid.Width = e.NewSize.Width - 10;
        //    Grid.Height= e.NewSize.Height- 10;
        }

        private void AddConditionalFormatting(object sender, RoutedEventArgs e)
        {
            //var rowsManager = Grid.Rows[0].Manager as RowsManager;
            //var rowFiltersCollection = rowsManager.RowFiltersCollectionResolved;
            //var rowsFilter = new RowsFilter(typeof(Data), Grid.Columns.DataColumns["Name3"]);
            //rowsFilter.Conditions.LogicalOperator = LogicalOperator.Or;


            //rowsFilter.Conditions.Add(new ComparisonCondition
            //       {
            //           CaseSensitive = false,
            //           FilterValue = "5",
            //           Operator = ComparisonOperator.Contains
            //       });
            //rowFiltersCollection.Add(rowsFilter);

            var yellowStyle = new Style(typeof(ConditionalFormattingCellControl));
            yellowStyle.Setters.Add(new Setter() { Property = ConditionalFormattingCellControl.BackgroundProperty, Value = new SolidColorBrush(Colors.Yellow) });
            yellowStyle.Setters.Add(new Setter() { Property = ConditionalFormattingCellControl.AltBackgroundProperty, Value = new SolidColorBrush(Colors.Yellow) });

            Grid.ConditionalFormattingSettings.AllowConditionalFormatting = true;
            var textColumn = Grid.Columns["Name3"] as TextColumn;
            textColumn.ConditionalFormatCollection.Add(new NotContainingConditionalFormatRule
            {
                StyleScope = StyleScope.Cell,
                Value = "1",
                ShouldRefreshOnDataChange = true,
                RuleExecution = EvaluationStage.None,
                StyleToApply = yellowStyle
            });
        }
    }
}
